@import url('./theme.css');

body.dark-theme {
    background: var(---background);
    color: var(---text-body);
}

#invoice-container{
    color: #000;
}

#invoice-container{
    color: #000;
}

.footer {
    background: var(---background);
    color: var(---text-body);
}

.footer-hr {
    margin-top: 10px;
    margin-bottom: 10px;
    border-top: 1px solid var(---store-h-row);
}

.base-panel {
    display: block;
    /* padding: 16px; */
    /* margin-bottom: 20px; */
    /* line-height: 1.42857143; */
    /* background: var(---card-background); */
    background: var(---panel-background);
    /* border: 1px solid rgba(0, 0, 0, .03); */
    /* border-radius: 12px; */
    /* -webkit-transition: border .2s ease-in-out;
    -o-transition: border .2s ease-in-out;
    transition: border .2s ease-in-out;
    border: 0.5px solid;
    border-image: linear-gradient(180deg, rgba(111, 111, 111, 0.3) 0%, rgba(191, 191, 191, 0.3) 85.82%); */
}

.base-panel .panel-heading {
    background: none;
}

.base-button {
    box-shadow: var(---btn-boxShadow);
    background: var(---btn-bg);
    color: var(---btn-text);
    border-radius: 12px !important;
    margin: 0;
    text-transform: uppercase;
    word-wrap: break-word;
    white-space: normal;
    cursor: pointer;
    border: 0;
    border-radius: .125rem;
    -webkit-box-shadow: var(---btn-boxShadow);
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;    
    padding: .84rem 2.14rem;
    font-size: 0.875rem;
    font-weight: normal;
}

.base-button-sm {
    padding: 5px 10px;
    font-size: 0.75rem;
    line-height: 1.5;
}

/* Primary Button */
.primary-button {
    background: var(---btn-primary-bg);
    color: var(---btn-primary-text);
}

/* Secondary Button */
.secondary-button {
    background: var(---btn-secondary-bg);
    color: var(---btn-secondary-text);
}

.link-button {
    background: var(---background);
    color: var(---btn-primary-bg);
    border: 2px solid;
    border-color: var(---app-primary-color); /* Adds border with primary button color */
}

.primary-button:hover{
    color: var(---btn-primary-text) !important;
}

.secondary-button:hover{
    color: var(---btn-secondary-text) !important;
}

.link-button:hover {
    color: var(---app-primary-color) !important;
}

.base-button:hover {
    color: var(---btn-primary-text) !important;
}

.base-button:hover .fa {
    color: var(---btn-primary-text) !important;
}

.base-button:disabled {
    opacity: 0.55;
}


.base-hr {
    height: var(---store-sticky-header-row-height);
    background-image: var(---store-sticky-header-row);
    background-image: var(---store-sticky-header-row-webkit);
}

.scrollable {
    overflow-y: auto;
    scrollbar-width: thin;
}


/* For extra small screens (up to 575px, mobile devices) */
@media (max-width: 419.98px) 
{
    .base-button .link-button{
        padding: 0.50rem 0.45rem !important; 
    }

    .base-button:not(.base-button-sm) {
        padding: 0.55rem 0.45rem;
        font-size: 0.75rem;
        
        border-radius: 8px !important;
    }

    @media (min-width: 420px) and (max-width: 575.98px) {
        .base-button:not(.base-button-sm) {
            padding: 0.7rem 0.5rem;
            font-size: 0.75rem;
        }
    }
}

/* For small screens (576px to 767px, tablets) */
@media (min-width: 576px) and (max-width: 767.98px) {
    .base-button:not(.base-button-sm) {
        padding: 0.64rem 1.62rem;
        font-size: 0.75rem;
    }
}

/* For medium screens (768px to 991px, small laptops) */
@media (min-width: 768px) and (max-width: 991.98px) {
    .base-button:not(.base-button-sm) {
        padding: 0.74rem 1.86rem;
        font-size: 0.75rem;
    }
}

/* For large screens (992px and above, desktops) */
@media (min-width: 992px) {
    .base-button:not(.base-button-sm) {
        padding: 0.84rem 2.14rem;
        font-size: 0.875rem;
    }
}
  

  